GET
/v1/orders/shipmentsGET /v1/orders/shipments
Scopes: orders:shipments:read
Requires scope: orders:shipments:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer<int32> | no | |
pageSize | query | integer<int32> | no | |
carrier | query | string | no | |
status | query | string | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
shipments | ShipmentListItem[] | no | |
totalCount | integer<int32> | no | |
page | integer<int32> | no | |
pageSize | integer<int32> | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/orders/shipments', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);